{% extends 'app/base.html' %}


{% block content %}
<h1 class="mb-5 mt-5">Available jobs</h1>

<table class="jobs">
{% for job in jobs %}
    <tr>
      <td>
        <strong>
          <a href="{% url 'app:job_detail' job.id %}">{{ job.title }}</a>
        </strong>
      </td>
      <td>
        <a href="{% url 'accounts:profile' job.user.id %}">
          {{ job.owner.name }}
        </a>
      </td>
      <!--https://stackoverflow.com/a/6127466/347891-->
      <td>{{ job.get_source_lang_display }} to {{ job.get_target_lang_display }} </td>
      <td>Budget: {{ job.budget }}</td>
    </tr>
    <tr>
      <td colspan="3">
        {{ job.description }}
      </td>
      <td>
        {{ job.get_field_display }}
      </td>
    </tr>
    {% if job.status == "available" %}
    <tr>
      <td colspan="4" class="bid-controls-row">
        <a href="{% url 'app:job_detail' job.id %}" class="btn btn-success mt-3 ">Submit a quote</a>
        <a href="{% url 'app:job_detail' job.id %}" class="btn btn-primary ms-2 mt-3 ">Message Job Owner</a>
      </td>
    </tr class="hiddenButton">
    {% else %}
      <td colspan="4" class="bid-controls-row">
        <a href="{% url 'app:job_detail' job.id %}" class="btn btn-primary ms-2 mt-3 ">Message Job Owner</a>
      </td>
    {% endif %}
{% empty %}
  <tr>
    <td colspan="4"> No available jobs at this moment</td>
  </tr>
{% endfor %}



</table>

{% endblock content %}
